# $Revision: 1.67 $, $Date: 2010/06/06 08:31:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Bit
%define		pnam	Vector
Summary:	Bit::Vector - efficient base class implementing bit vectors
Summary(cs.UTF-8):	Bit::Vector - modul pro vysoce výkonné manipulace bitových vektorů v Perlu
Summary(da.UTF-8):	Bit::Vector - et modul for højydelsehåndtering af bitvektorer i Perl
Summary(de.UTF-8):	Bit::Vector - ein Modul für das leistungsstarke Bearbeiten von bit-Vektoren durch Perl
Summary(es.UTF-8):	Bit::Vector - módulo para la manipulación Perl de alta ejecución de muchos vectores
Summary(fr.UTF-8):	Bit::Vector - module de manipulation Perl à haute performance de vecteurs bits
Summary(it.UTF-8):	Bit::Vector - modulo per la gestione dei vettori bit ad alte prestazioni con Perl
Summary(ja.UTF-8):	Bit::Vector ビットベクトルのハイパフォーマンスPerl操作の為のモジュールです。
Summary(ko.UTF-8):	Bit::Vector bit 벡터를 고성능 Perl 조작하는데 사용되는 모듈
Summary(pl.UTF-8):	Bit::Vector - wydajna klasa bazowa implementująca wektory bitowe
Summary(pt.UTF-8):	Bit::Vector - um módulo para a manipulação rápida em Perl de vectores de "bits"
Summary(pt_BR.UTF-8):	Bit::Vector - um módulo para a manipulação rápida em Perl de vectores de "bits"
Summary(sv.UTF-8):	Bit::Vector - en modul för högprestandahantering av bitvektorer i Perl
Summary(tr.UTF-8):	Bit::Vector - bit matrislerinin yüksek başarımlı hesaplamaları için bir Perl modülü
Summary(zh_CN.UTF-8):	Bit::Vector - 对位向量进行高性能 Perl 操作的模块。
Name:		perl-Bit-Vector
Version:	7.1
Release:	2
# same as perl or (C library only) LGPL
License:	GPL v1+ or Artistic or (C library only) LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	164c8574b728f6171b2a6f564fcd2e50
%if %{with tests}
BuildRequires:	perl-Carp-Clan
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bit::Vector is an efficient C library which allows you to handle bit
vectors, sets (of integers), "big integer arithmetic" and boolean
matrices, all of arbitrary sizes.

The library is efficient (in terms of algorithmical complexity) and
therefore fast (in terms of execution speed) for instance through the
widespread use of divide-and-conquer algorithms.

%description -l cs.UTF-8
Bit::Vector je efektivní knihovna v C, která vám umožňuje zpracovávat
vektory bitů, množiny (celých čísel), "aritmetiku velkých čísel" a
matice booleovských hodnot, vše pro libovolné velikosti.

Knihovna je efektivní (myšlena složitost algoritmů) a proto rychlá
(myšlena rychlost provádění) například rozšířeným použitím algoritmů
rozděl a panuj.

%description -l da.UTF-8
Bit::Vector er et effekivt C-bibliotek som lader dig håndtere
bitvektorer, mængder (af heltal), aritmetik for store heltal og
booleske matricer, alt med vilkårlige størrelser.

Biblioteket er effektivt (forstået som algoritmkompleksitet) og derfor
hurtigt (forstået som eksekveringshastighed) blandt andet ved en
omfattende brug af del-og-hersk-algoritmer.

%description -l de.UTF-8
Bit::Vector ist eine leistungsfähige C-Bibliothek, mit der Sie bit-
Vektoren, Sätze (von ganzen Zahlen), "große, ganze arithmetische" und
boolesche Matrizen einer beliebigen Größe bearbeiten können.

Diese Bibliothek ist sehr leistungsstark (in Bezug auf ihre
algorithmische Komplexität) und daher auch sehr schnell (in Bezug auf
die Ausführungsgeschwindigkeit), beispielsweise im verbreiteten
Gebrauch von divide-and-conquer Algorithmen.

%description -l es.UTF-8
Bit::Vector es una librería C eficiente que le permiten gestionar
muchos vectores, grupos (de números enteros), "big integer arithmetic"
y matrices boolean, todos los tamaños arbitrarios.

La librería es eficiente ( en términos de complejidad algoritmica) y
rápido (en términos de ejecución) por ejemplo a través de uso de los
algoritmos divide-and-conquer.

%description -l fr.UTF-8
Bit::Vector est une bibliothèque C efficace qui vous permet de gérer
des vecteurs bit, des ensembles (d'entiers), "arithmétique de grand
entier" et des matrices booléennes, toutes de taille arbitraire.

La bibliothèque est efficace (en termes de complexité d'algoritme) et
donc rapide (en termes de vitesse d'exécution), par exemple pour
l'usage large desalgorithmes par division et conquête.

%description -l it.UTF-8
Bit::Vector è una libreria C altamente efficiente che permette di
gestire vettori bit, set (di interi), matrici "aritmetiche di interi"
e booleane di dimensioni arbitrarie.

La libreria è efficiente (in termini di complessità algoritmica) e
rapida (in termini di velocità di esecuzione), per esempio con l'uso
degli algoritmi divide-and-conquer.

%description -l pl.UTF-8
Bit::Vector jest wydajną biblioteką w C, implementującą wektory
bitowe, zbiory (liczb całkowitych), "arytmetykę wielkich liczb" oraz
tablice bitowe, wszystko o dowolnych rozmiarach.

Biblioteka ta jest wydajna (w terminach złożoności algorytmu) i, w
związku z tym, szybka (w terminach szybkości wykonywania) m.in. dzięki
szerokiemu wykorzystaniu algorytmów "dziel i rządź".

%description -l pt.UTF-8
O Bit::Vector é uma biblioteca eficiente em C que lhe permite lidar
com os vectores e conjuntos de "bits", a "aritmética com inteiros
grandes" e matrizes booleanas, tudo isto com tamanhos arbitrários.

A biblioteca é eficiente (em termos de complexidade algorítmica) e,
como tal, é rápida (em termos de tempos de execução), por exemplo,
através da utilização vasta de algoritmos de divisão-e-conquista.

%description -l pt_BR.UTF-8
O Bit::Vector é uma biblioteca eficiente em C que lhe permite lidar
com os vectores e conjuntos de "bits", a "aritmética com inteiros
grandes" e matrizes booleanas, tudo isto com tamanhos arbitrários.

A biblioteca é eficiente (em termos de complexidade algorítmica) e,
como tal, é rápida (em termos de tempos de execução), por exemplo,
através da utilização vasta de algoritmos de divisão-e-conquista.

%description -l sv.UTF-8
Bit::Vector är ett effekivt C-bibliotek som låter dig hantera
bitvektorer, mängder (av heltal), aritmetik för stora heltal och
booleska matriser, allt med godtyckliga storlekar.

Biblioteket är effektivt (i termer av algoritmkomplexitet) och därför
snabbt (i termer av exekveringshastighet) bland annat genom det
omfattande användandet av söndra-och-härska-algoritmer.

%description -l zh_CN.UTF-8
Bit::Vector 是一个高效的 C 库。它允许您处理
位向量、(整数)集合、“大整数算术”以及 boolean
方阵。它们可以是任意大小。

该库是高效率的(针对算式复杂性而言)，因而运行
速度也较快(针对执行速度而言)。它通过广泛利用
“分而克之”的算式来达到这一目的。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
rm -f GNU_{,L}GPL.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *txt
%{perl_vendorarch}/Bit/Vector.pm
%dir %{perl_vendorarch}/Bit/Vector
%{perl_vendorarch}/Bit/Vector/*.pm
%dir %{perl_vendorarch}/auto/Bit/Vector
%{perl_vendorarch}/auto/Bit/Vector/Vector.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Bit/Vector/Vector.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Bit-Vector.spec,v $
Revision 1.67  2010/06/06 08:31:22  arekm
- release 2

Revision 1.66  2009/10/13 12:51:35  amateja
- updated to 7.1

Revision 1.65  2009/09/06 17:17:18  amateja
- updated to 7.0

Revision 1.64  2009/03/14 11:16:43  hawk
- release 6

Revision 1.63  2008/03/02 17:31:57  radek
- release 5

Revision 1.62  2008-02-10 12:00:34  arekm
- rel 4

Revision 1.61  2008-01-31 22:03:12  glen
- rel 3

Revision 1.60  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.59  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.58  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.57  2005/05/08 20:00:01  pluto
- release 2 for Th.

Revision 1.56  2004/12/01 10:03:53  radek
- switched Source0 to http

Revision 1.55  2004/11/03 21:38:37  paladine
- formatting

Revision 1.54  2004/11/01 23:38:38  qboosh
- cleanup, added missing file

Revision 1.53  2004/11/01 21:23:37  adamg
- updated to 6.4

Revision 1.52  2004/06/05 18:10:31  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.51  2004/05/07 00:38:11  ankry
- rel. 4

Revision 1.50  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.49  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.48  2004/04/17 15:07:40  ankry
- license/summary/description fixes

Revision 1.47  2004/03/09 20:56:52  adamg
- new style bconds

Revision 1.46  2004/02/25 22:32:58  undefine
- release 3 to allow upgrade from RA

Revision 1.45  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.44  2003/08/18 08:08:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.43  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.42  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/04/20 20:47:58  ankry
- merge translations from RH

Revision 1.40  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.39  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.38  2003/02/24 20:31:50  radek
- use the __perl macro

Revision 1.37  2003/02/24 19:05:17  radek
- provided informative summaries

Revision 1.35  2002/10/05 13:42:25  ankry
- (auto)updated to 6.3

Revision 1.34  2002/09/26 13:23:58  ankry
- version 6.2, release 1
- added test on bcond

Revision 1.33  2002/07/16 23:14:27  ankry
- remove (L)GPL License files
- add %%{perl_sitearch}/Carp dir

Revision 1.32  2002/07/16 11:31:32  ankry
- translations, cleaning
- release 8

Revision 1.31  2002/07/14 02:22:38  qboosh
- added Carp::Clan module; release 7

Revision 1.30  2002/07/12 11:56:47  qboosh
- added missing dir, new %%doc, release 6

Revision 1.29  2002/07/10 08:46:17  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.28  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.27  2002/03/10 18:50:09  djrzulf
- cleanups,
- Release 5,
- STBR,

Revision 1.26  2002/03/10 18:47:58  djrzulf
- added missed (?) Overload package,

Revision 1.25  2002/02/25 10:29:40  depesz
cleanup; revision++

Revision 1.24  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/13 19:31:06  kloczek
- adapterized.

Revision 1.22  2002/02/13 14:09:42  depesz
automatic: Source location unified, Relase Up

Revision 1.21  2002/02/10 15:24:04  depesz
adapterized

Revision 1.20  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/10/29 19:55:16  kloczek
- release 2.

Revision 1.18  2001/10/26 11:07:04  blues
- perl-devel added to BR

Revision 1.17  2001/10/18 10:40:13  mis
- autoupdated to 6.1

Revision 1.16  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.15  2001/04/17 12:05:26  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.14  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.13  2001/01/25 20:03:43  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.12  2000/12/28 00:43:40  kloczek
- release 2: rebuild against perl 5.6.

Revision 1.11  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.10  2000/11/19 01:26:44  kloczek
- updated to 0.6 and added using new rpm automation.

Revision 1.9  2000/08/16 16:21:42  kloczek
- updated to 5.8.

Revision 1.8  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.4  2000/03/26 14:07:20  kloczek
- updated to 5.7.

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
